# Relevant topics for the lectures are

* Object Orientated Programming (i.e. Classes)
* Type Annotation
* Data Class
* Error Handling Try/Except
* Pandas
* Low-Pass, High-Pass, Band-Pass
* Wavelet (& Hilbert)
* PCA, ICA, SVD, ROC, SVM, K-NN, K-Means
* Symbolic Calculation with SymPy, Numerical mathematics (Differential equations, integration)
* OpenCV2

Everything should be covered on this website. 

## Youtube

However, if you like to watch stuff: 

**Object Orientated Programming**

* Python Classes and Objects - OOP for Beginners [https://www.youtube.com/watch?v=f0TrMH9s-VE](https://www.youtube.com/watch?v=f0TrMH9s-VE)
* OOP Class Inheritance and Private Class Members [https://www.youtube.com/watch?v=6c6NYPjO_rI](https://www.youtube.com/watch?v=6c6NYPjO_rI)
* You Should Be Using This For Work/Research in Python | OOP Tutorial [https://www.youtube.com/watch?v=TcaUL1uqG_k](https://www.youtube.com/watch?v=TcaUL1uqG_k)

**Type Annotation**

* Type Hinting - Advanced Python Tutorial #6 [https://www.youtube.com/watch?v=6KidYEtspNc](https://www.youtube.com/watch?v=6KidYEtspNc)
* Python Type Hinting and Type-Checking Crash Course with mypy [https://www.youtube.com/watch?v=_n22NZwAyo0](https://www.youtube.com/watch?v=_n22NZwAyo0)

**Data Class**

* How To Use: "@dataclass" In Python [https://www.youtube.com/watch?v=mVea6Mu15l8](https://www.youtube.com/watch?v=mVea6Mu15l8)

**Try/Except**

* Python Beginner Tutorial #8 - Exception Handling [https://www.youtube.com/watch?v=uVJx6hU3V20](https://www.youtube.com/watch?v=uVJx6hU3V20)

**Pandas**

* [https://www.youtube.com/watch?v=zN2Hua6oII0](https://www.youtube.com/watch?v=zN2Hua6oII0)

**Low/Band/High Pass Filter**

* Fourier [https://www.youtube.com/watch?v=spUNpyF58BY](https://www.youtube.com/watch?v=spUNpyF58BY)
* Applied DSP No. 8: Filtering via Fast Fourier Transform [https://www.youtube.com/watch?v=u8t-h31baFE](https://www.youtube.com/watch?v=u8t-h31baFE)
* Applied DSP No. 6: Digital Low-Pass Filters [https://www.youtube.com/watch?v=I8_E1ppC3-Q](https://www.youtube.com/watch?v=I8_E1ppC3-Q)

**Wavelets**
* Wavelets: a mathematical microscope [https://www.youtube.com/watch?v=jnxqHcObNK4](https://www.youtube.com/watch?v=jnxqHcObNK4)

**SVD**
* Singular Value Decomposition (SVD): Overview [https://www.youtube.com/watch?v=gXbThCXjZFM](https://www.youtube.com/watch?v=gXbThCXjZFM)
* Singular Value Decomposition (SVD): Mathematical Overview [https://www.youtube.com/watch?v=nbBvuuNVfco](https://www.youtube.com/watch?v=nbBvuuNVfco)

**PCA**
* Principal Component Analysis (PCA) [https://www.youtube.com/watch?v=fkf4IBRSeEc](https://www.youtube.com/watch?v=fkf4IBRSeEc)
* Principal Component Analysis (PCA) [https://www.youtube.com/watch?v=Oi4SJqJIL2E](https://www.youtube.com/watch?v=Oi4SJqJIL2E)

**ICA**
* Independent Component Analysis (ICA) [https://www.youtube.com/watch?v=GgLaP4Des1Q](https://www.youtube.com/watch?v=GgLaP4Des1Q)

**k-NN**
* Python Machine Learning Tutorial #3 - K-Nearest Neighbors Classification [https://www.youtube.com/watch?v=LwTIHEnnCAM](https://www.youtube.com/watch?v=LwTIHEnnCAM)

**SVM**
* Python Machine Learning #4 - Support Vector Machines [https://www.youtube.com/watch?v=99Eyw7Quacc](https://www.youtube.com/watch?v=99Eyw7Quacc)

**k-means clustering**
* Python Machine Learning Tutorial #6 - K-Means Clustering [https://www.youtube.com/watch?v=Hoy6iJW5ryM](https://www.youtube.com/watch?v=Hoy6iJW5ryM)

**Symbolic calculation with SymPy**
* SymPy is REVOLUTIONARY For Mathematical Tasks [https://www.youtube.com/watch?v=yCuVBd4N4nY](https://www.youtube.com/watch?v=yCuVBd4N4nY)

**numerical mathematics**
* Derivatives In PYTHON (Symbolic AND Numeric) [https://www.youtube.com/watch?v=DeeoiE22bZ8](https://www.youtube.com/watch?v=DeeoiE22bZ8)
* Integration in PYTHON (Symbolic AND Numeric) [https://www.youtube.com/watch?v=2I44Y9hfQ4Q](https://www.youtube.com/watch?v=2I44Y9hfQ4Q)
* How to Solve Differential Equations in PYTHON [https://www.youtube.com/watch?v=MM3cBamj1Ms](https://www.youtube.com/watch?v=MM3cBamj1Ms)

**OpenCV2**
* OpenCV Python Tutorial #1 - Introduction & Images [https://www.youtube.com/watch?v=qCR2Weh64h4](https://www.youtube.com/watch?v=qCR2Weh64h4)
* OpenCV Python Tutorial #2 - Image Fundamentals and Manipulation [https://www.youtube.com/watch?v=wlYPhdTbRmk](https://www.youtube.com/watch?v=wlYPhdTbRmk)
* OpenCV Python Tutorial #3 - Cameras and VideoCapture [https://www.youtube.com/watch?v=rKcwcARdg9M](https://www.youtube.com/watch?v=rKcwcARdg9M)
